-- Options File

local opt = vim.opt

-- Basic Options I like
opt.hlsearch = true
opt.ignorecase = true
opt.relativenumber = true
opt.spell = true
opt.swapfile = false
opt.syntax = "on"

-- Had this disabled before might not like
opt.incsearch = true

-- 24-bit color
opt.termguicolors = true

-- Good indents
opt.tabstop = 2
opt.shiftwidth = 2
opt.expandtab = true

-- Show trailing whitespace but fancy
opt.list = true
opt.listchars = {
  tab = "→ ",
  trail = "╳",
  nbsp = "⎵",
}

-- Make Lines Wrap Properly
opt.linebreak = true
opt.wrap = true

-- Colors
vim.cmd("colorscheme tokyonight")
vim.cmd("hi Comment guifg=#e69dc5")
vim.cmd("hi Linenr guifg=#a672f3")
